commit:     4c2385e6d6f176d0dc4a2d91b5a36ea883b89f3f
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 10:17:07 2018 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Mon Nov 26 10:17:58 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c2385e6

dev-libs/confuse: Version 3.2.2

Package-Manager: Portage-2.3.52, Repoman-2.3.12
Bug: https://bugs.gentoo.org/664328
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 dev-libs/confuse/Manifest             |  1 +
 dev-libs/confuse/confuse-3.2.2.ebuild | 53 +++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/dev-libs/confuse/Manifest b/dev-libs/confuse/Manifest
index 06c18295693..1a48119d572 100644
--- a/dev-libs/confuse/Manifest
+++ b/dev-libs/confuse/Manifest
@@ -1,2 +1,3 @@
 DIST confuse-3.0.tar.xz 449144 BLAKE2B 
c8e913aa8b074d55535c35ddce7de1a0f21dade78839f66723272780345d4b5c5f265c2040a4abc9b473a09e221b50450382dff60103198f72384d28d1ab068e
 SHA512 
12279045b772e94d2e29201ab1d7aef1ef8e698780a22d6a282d12f51ccd9a437e7817a4dd5e39bdfc8dae79700b72aa0783b4b983a935d751403d2cffd1161e
 DIST confuse-3.2.1.tar.xz 470260 BLAKE2B 
5327f7e71379b50620a6c44f1a9f88a0833d4b648874129a1d4eae6ec97a9ca748e80e902b74ba4c7669e2fda0d0bcd603ff95b5f096ca77b3ec7fe67263f0c6
 SHA512 
738bacf6a3abb9c64666fec103eb18c8456b994e7ba3562bdb090ef4eb33f0330da844de14d658ef44e74f90104f67ceaf408d21ddf0d251f4c6ddd80e0b387c
+DIST confuse-3.2.2.tar.xz 473912 BLAKE2B 
d8df03f4543291afa6d46a36c48f78d25aee7cdcd0fab7a37a639a73cd0562b52a70057075f83f7e4e56bb542a27561a65e3217c458d757345c46a29203e6187
 SHA512 
c6baea65e064fe7f2d1bde187c6dcbb7f03c31f5d777cb04576f9cc2d94e9c96b7ee202e030e9a2c7eb619deb240d9e76fb12b3528ae5aa0d3abe231354d12c9

diff --git a/dev-libs/confuse/confuse-3.2.2.ebuild 
b/dev-libs/confuse/confuse-3.2.2.ebuild
new file mode 100644
index 00000000000..52a38f545bf
--- /dev/null
+++ b/dev-libs/confuse/confuse-3.2.2.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit multilib-minimal
+
+DESCRIPTION="a configuration file parser library"
+HOMEPAGE="https://github.com/martinh/libconfuse";
+SRC_URI="${HOMEPAGE}/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="ISC"
+SLOT="0/2.0.0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sparc ~x86 
~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+
+IUSE="nls static-libs"
+
+BDEPEND="
+       sys-devel/flex
+       sys-devel/libtool
+       virtual/pkgconfig
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="
+       nls? ( virtual/libintl[${MULTILIB_USEDEP}] )
+"
+
+DOCS=( AUTHORS )
+
+src_prepare() {
+       default
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       # examples are normally compiled but not installed. They
+       # fail during a mingw crosscompile.
+       local ECONF_SOURCE=${BUILD_DIR}
+       econf \
+               --enable-shared \
+               --disable-examples \
+               $(use_enable nls) \
+               $(use_enable static-libs static)
+}
+
+multilib_src_install_all() {
+       doman doc/man/man3/*.3
+       dodoc -r doc/html
+
+       docinto examples
+       dodoc examples/*.{c,conf}
+
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to